<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreatePropertiesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: properties
         */
        Schema::create('properties', function ($table) {
            $table->increments('id');
            $table->string('title', 255)->nullable();
            $table->integer('district_id')->nullable();
            $table->integer('city_id')->nullable();
            $table->integer('type_id')->nullable();
            $table->string('description', 255)->nullable();
            $table->enum('property_for', ['rent','sale'])->nullable();
            $table->decimal('area', 10,2)->nullable();
            $table->integer('bedrooms')->nullable();
            $table->integer('bathrooms')->nullable();
            $table->integer('build_at')->nullable();
            $table->integer('price')->nullable();
            $table->text('images')->nullable();
            $table->enum('status', ['show','hide'])->nullable();
            $table->string('slug', 255)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('properties');
    }
}
